[arch-commits] Commit in gcin/trunk (5 files)

Gaetan Bisson bisson at archlinux.org
Tue Aug 17 13:41:39 UTC 2010


    Date: Tuesday, August 17, 2010 @ 09:41:38
  Author: bisson
Revision: 87642

catch up on upstream (minor) releases

Added:
  gcin/trunk/fix_qt4_paths.patch
Modified:
  gcin/trunk/PKGBUILD
  gcin/trunk/gcin.install
Deleted:
  gcin/trunk/fix_rpath.patch
  gcin/trunk/gcin-1.4.6-qt4.patch

----------------------+
 PKGBUILD             |   39 +++++++++++++++++++++------------------
 fix_qt4_paths.patch  |   31 +++++++++++++++++++++++++++++++
 fix_rpath.patch      |   20 --------------------
 gcin-1.4.6-qt4.patch |   31 -------------------------------
 gcin.install         |    7 ++-----
 5 files changed, 54 insertions(+), 74 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-08-17 13:40:57 UTC (rev 87641)
+++ PKGBUILD	2010-08-17 13:41:38 UTC (rev 87642)
@@ -3,30 +3,33 @@
 # Contributor: damir <damir at archlinux.org>
 
 pkgname=gcin
-pkgver=1.4.6
-pkgrel=2
-pkgdesc="Traditional Chinese Input Method Server for X window system (XIM)"
-arch=("i686" "x86_64")
+pkgver=1.5.5
+pkgrel=1
+pkgdesc='Traditional Chinese Input Method Server for X window system (XIM)'
+arch=('i686' 'x86_64')
 license=('LGPL')
-url="http://www.csie.nctu.edu.tw/~cp76/gcin/"
-depends=('gtk2>=2.16.1' 'libxtst' 'bash')
+url='http://www.csie.nctu.edu.tw/~cp76/gcin/'
+depends=('gtk2>=2.16.1' 'libxtst')
 makedepends=('anthy' 'qt')
 optdepends=('qt:	support for Qt4 Input Method')
 install=gcin.install
-source=(http://cle.linux.org.tw/gcin/download/${pkgname}-${pkgver}.tar.bz2
-	fix_x86_64_libdir.patch
-	gcin-1.4.6-qt4.patch)
+source=("http://cle.linux.org.tw/gcin/download/${pkgname}-${pkgver}.tar.bz2"
+        'fix_x86_64_libdir.patch'
+        'fix_qt4_paths.patch')
 #options=('!makeflags')
-md5sums=('64f5ded6404d9091560c2316e9207158'
-         '2018737a07a0a7a9e0c28e11245dde14'
-	 'ac1e85a36ad5a32597793281e3253b84')
+sha1sums=('6d3313c1784ef74c09c2ba68be81720450892604'
+          '60113b605bc509d660f03852be546ea757710f99'
+          '1664ab0c760d2e769ee8a90c0879928b21fd7ae1')
 
 build() {
-    cd "${srcdir}/${pkgname}-${pkgver}"
-    patch -Np0 -i "${srcdir}/fix_x86_64_libdir.patch" || return 1
-    patch -Np1 -i "${srcdir}/gcin-1.4.6-qt4.patch" || return 1
-    ./configure --prefix=/usr || return 1
-    make || return 1
-    make DESTDIR="${pkgdir}" install || return 1
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np0 -i "${srcdir}/fix_x86_64_libdir.patch" || return 1
+  patch -Np1 -i "${srcdir}/fix_qt4_paths.patch" || return 1
+  ./configure --prefix=/usr || return 1
+  make || return 1
 }
 
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install || return 1
+}

Added: fix_qt4_paths.patch
===================================================================
--- fix_qt4_paths.patch	                        (rev 0)
+++ fix_qt4_paths.patch	2010-08-17 13:41:38 UTC (rev 87642)
@@ -0,0 +1,31 @@
+diff -ruN gcin-1.4.6/configure gcin-1.4.6-new/configure
+--- gcin-1.4.6/configure	2009-12-17 17:29:46.000000000 +0800
++++ gcin-1.4.6-new/configure	2009-12-28 16:46:25.000000000 +0800
+@@ -164,7 +164,7 @@
+ 
+ 
+ QT4_IM='N'
+-QT4_IM_DIR=/usr/$LIB/qt4/plugins/inputmethods
++QT4_IM_DIR=/usr/$LIB/qt/plugins/inputmethods
+ echo "testing if you have qt4 support"
+ if [ -d  $QT4_IM_DIR ]; then
+   QT4_IM='Y'
+diff -ruN gcin-1.4.6/qt4-im/Makefile gcin-1.4.6-new/qt4-im/Makefile
+--- gcin-1.4.6/qt4-im/Makefile	2009-12-10 07:09:17.000000000 +0800
++++ gcin-1.4.6-new/qt4-im/Makefile	2009-12-28 16:47:59.000000000 +0800
+@@ -1,5 +1,5 @@
+ include ../config.mak
+-QT=qt4
++QT=qt
+ QTIM=$(QT)/plugins/inputmethods
+ IMMODULES=$(libdir)/$(QTIM)
+ 
+@@ -15,7 +15,7 @@
+ 	$(CXX) -E $(CFLAGS) $(INCS) $< > $@
+ 
+ moc_gcin-qt.cpp:	gcin-qt.h
+-	/usr/lib/$(QT)/bin/moc $< -o moc_gcin-qt.cpp
++	/usr/bin/moc $< -o moc_gcin-qt.cpp
+ 
+ im-gcin.so: $(OBJS)
+ 	export LD_RUN_PATH=$(gcinlibdir) ;\

Deleted: fix_rpath.patch
===================================================================
--- fix_rpath.patch	2010-08-17 13:40:57 UTC (rev 87641)
+++ fix_rpath.patch	2010-08-17 13:41:38 UTC (rev 87642)
@@ -1,20 +0,0 @@
---- gcin-1.4.4/Makefile.orig	2009-04-12 13:37:28.000000000 +0200
-+++ gcin-1.4.4/Makefile	2009-04-12 13:37:43.000000000 +0200
-@@ -96,7 +96,7 @@
- 	if [ $(QT4_IM) = 'Y' ]; then $(MAKE) -C qt4-im; fi
- 
- gcin:   $(OBJS) $(IMdkitLIB) $(im-srv)
--	LD_RUN_PATH=.:$(gcinlibdir) \
-+	LD_RUN_PATH=$(gcinlibdir) \
- 	$(CC) $(EXTRA_LDFLAGS) -o $@ $(OBJS) $(IMdkitLIB) $(im-srv) -lXtst $(LDFLAGS) -L/usr/X11R6/lib
- 	rm -f core.*
- 	ln -sf $@ $@.test
-@@ -108,7 +108,7 @@
- 	$(CC) -o $@ $(OBJS_JUYIN_LEARN) $(LDFLAGS)
- 	rm -f core.*
- sim2trad:        $(OBJS_sim2trad)
--	LD_RUN_PATH=.:$(gcinlibdir) \
-+	LD_RUN_PATH=$(gcinlibdir) \
- 	$(CC) -o $@ $(OBJS_sim2trad) $(LDFLAGS)
- 	rm -f core.*
- trad2sim:	sim2trad

Deleted: gcin-1.4.6-qt4.patch
===================================================================
--- gcin-1.4.6-qt4.patch	2010-08-17 13:40:57 UTC (rev 87641)
+++ gcin-1.4.6-qt4.patch	2010-08-17 13:41:38 UTC (rev 87642)
@@ -1,31 +0,0 @@
-diff -ruN gcin-1.4.6/configure gcin-1.4.6-new/configure
---- gcin-1.4.6/configure	2009-12-17 17:29:46.000000000 +0800
-+++ gcin-1.4.6-new/configure	2009-12-28 16:46:25.000000000 +0800
-@@ -164,7 +164,7 @@
- 
- 
- QT4_IM='N'
--QT4_IM_DIR=/usr/$LIB/qt4/plugins/inputmethods
-+QT4_IM_DIR=/usr/$LIB/qt/plugins/inputmethods
- echo "testing if you have qt4 support"
- if [ -d  $QT4_IM_DIR ]; then
-   QT4_IM='Y'
-diff -ruN gcin-1.4.6/qt4-im/Makefile gcin-1.4.6-new/qt4-im/Makefile
---- gcin-1.4.6/qt4-im/Makefile	2009-12-10 07:09:17.000000000 +0800
-+++ gcin-1.4.6-new/qt4-im/Makefile	2009-12-28 16:47:59.000000000 +0800
-@@ -1,5 +1,5 @@
- include ../config.mak
--QT=qt4
-+QT=qt
- QTIM=$(QT)/plugins/inputmethods
- IMMODULES=$(libdir)/$(QTIM)
- 
-@@ -15,7 +15,7 @@
- 	$(CXX) -E $(CFLAGS) $(INCS) $< > $@
- 
- moc_gcin-qt.cpp:	gcin-qt.h
--	/usr/lib/$(QT)/bin/moc $< -o moc_gcin-qt.cpp
-+	/usr/bin/moc $< -o moc_gcin-qt.cpp
- 
- im-gcin.so: $(OBJS)
- 	export LD_RUN_PATH=$(gcinlibdir) ;\

Modified: gcin.install
===================================================================
--- gcin.install	2010-08-17 13:40:57 UTC (rev 87641)
+++ gcin.install	2010-08-17 13:41:38 UTC (rev 87642)
@@ -5,12 +5,9 @@
 }
 
 post_upgrade() {
-  post_install $1
+  post_install
 }
 
 post_remove() {
-  echo -n "updating gtk.immodules... "
-  /usr/bin/gtk-query-immodules-2.0 > /etc/gtk-2.0/gtk.immodules
-  echo "done."
+  post_install
 }
-




More information about the arch-commits mailing list